what you don't know can hurt you

Drupal Fancy Slide Cross Site Scripting

Drupal Fancy Slide Cross Site Scripting
Posted Mar 15, 2012
Authored by Justin C. Klein Keane | Site drupal.org

The Fancy Slide module in Drupal 6.x suffers from a cross site scripting vulnerability.

tags | advisory, xss
MD5 | f17087299d6a4d64251cc777c01d5055

Drupal Fancy Slide Cross Site Scripting

Change Mirror Download
  * Advisory ID: DRUPAL-SA-CONTRIB-2012-041
* Project: Fancy Slide [1] (third-party module)
* Version: 6.x
* Date: 2012-March-14
* Security risk: Moderately critical [2]
* Exploitable from: Remote
* Vulnerability: Cross Site Scripting

-------- DESCRIPTION
---------------------------------------------------------

This module enables you to create slideshow blocks to embed into templates.
The module doesn't sufficiently filter user supplied text. This vulnerability
is mitigated by the fact that an attacker must have a role with the
permission "administer fancy_slide".

-------- VERSIONS AFFECTED
---------------------------------------------------

* Fancy Slide 6.x-2.x versions prior to 6.x-2.6.

Drupal core is not affected. If you do not use the contributed Fancy Slide
[3] module, there is nothing you need to do.

-------- SOLUTION
------------------------------------------------------------

Install the latest version:

* If you use the Fancy Slide module for Drupal 6.x, upgrade to Fancy Slide
6.x-2.7 [4]

See also the Fancy Slide [5] project page.

-------- REPORTED BY
---------------------------------------------------------

* Justine Klein Keane [6]

-------- FIXED BY
------------------------------------------------------------

* Justine Klein Keane [7]
* Paul Lomax [8] the module maintainer

-------- COORDINATED BY
------------------------------------------------------

* Stella Power [9] of the Drupal Security Team

-------- CONTACT AND MORE INFORMATION
----------------------------------------

The Drupal security team can be reached at security at drupal.org or via the
contact form at http://drupal.org/contact [10].

Learn more about the Drupal Security team and their policies [11], writing
secure code for Drupal [12], and securing your site [13].


[1] http://drupal.org/project/fancy_slide
[2] http://drupal.org/security-team/risk-levels
[3] http://drupal.org/project/fancy_slide
[4] http://drupal.org/node/1417688
[5] http://drupal.org/project/fancy_slide
[6] http://drupal.org/user/302225
[7] http://drupal.org/user/302225
[8] http://drupal.org/user/253872
[9] http://drupal.org/user/66894
[10] http://drupal.org/contact
[11] http://drupal.org/security-team
[12] http://drupal.org/writing-secure-code
[13] http://drupal.org/security/secure-configuration

Login or Register to add favorites

File Archive:

July 2020

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jul 1st
    13 Files
  • 2
    Jul 2nd
    0 Files
  • 3
    Jul 3rd
    0 Files
  • 4
    Jul 4th
    0 Files
  • 5
    Jul 5th
    0 Files
  • 6
    Jul 6th
    0 Files
  • 7
    Jul 7th
    0 Files
  • 8
    Jul 8th
    0 Files
  • 9
    Jul 9th
    0 Files
  • 10
    Jul 10th
    0 Files
  • 11
    Jul 11th
    0 Files
  • 12
    Jul 12th
    0 Files
  • 13
    Jul 13th
    0 Files
  • 14
    Jul 14th
    0 Files
  • 15
    Jul 15th
    0 Files
  • 16
    Jul 16th
    0 Files
  • 17
    Jul 17th
    0 Files
  • 18
    Jul 18th
    0 Files
  • 19
    Jul 19th
    0 Files
  • 20
    Jul 20th
    0 Files
  • 21
    Jul 21st
    0 Files
  • 22
    Jul 22nd
    0 Files
  • 23
    Jul 23rd
    0 Files
  • 24
    Jul 24th
    0 Files
  • 25
    Jul 25th
    0 Files
  • 26
    Jul 26th
    0 Files
  • 27
    Jul 27th
    0 Files
  • 28
    Jul 28th
    0 Files
  • 29
    Jul 29th
    0 Files
  • 30
    Jul 30th
    0 Files
  • 31
    Jul 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close